Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface TDAnnotationDetail

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface TDAnnotationDetail

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'TD Annotation Detail'. Dettaglio dell'annotazione. Al momento le annotazioni previste sono:

- source=typedef
  - key=java-fqn: value=full qualified name della classe java corrispondente. Necessaria per gestire situazioni legacy o che non rispettano lo standard di naming

The following features are supported:

- `Key`
- `Value`

See Also:
  `TypedefPackage.getTDAnnotationDetail()`

Method Summary
`java.lang.String` | `getKey()` Returns the value of the 'Key' attribute
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute
`void` | `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute.

  If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

  chiave dell'annotazione

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `TypedefPackage.getTDAnnotationDetail_Key()`

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  valore dell'annotazione

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `TypedefPackage.getTDAnnotationDetail_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD